Get Policy Application Details

Use this endpoint to retrieve the details related to a specific policy application.

Get the details of an insurance policy

get
Authorizations
api_keystringRequired
Path parameters
policyNumberstringRequired

policy number assigned to policy holder

Header parameters
api_keyanyRequired
Responses
chevron-right
200

successful operation

application/json
quoteIdstringRequired

unique identifier for a previously computed active quote

Example: 1234567889
policyHolderNumberstringRequired

policy holder system generated unique identifier

Example: 1728283928929
policyNumberstringRequired

unique reference used to identify a policy with a policy holder

Example: 1828292902039
policyCodestringRequired

unique reference code of the insurance policy

Example: hosipcash
statusstring · enumOptional

allowed data type for the field

Example: appliedPossible values:
startDatestringOptional

effective start date for the insurance policy

Example: 2021-10-10
endDatestringOptional

end date for the insurance policy

Example: 2022-10-10
nextPremiumDueDatestringOptional

next premium payment due date

Example: 2021-11-10
redirectURLstringOptional

URL to redirect the policy holder to continue policy validation or processing only applicable when status = applied

get
/policy/{policyNumber}

Sample Request

Pass the policy number via URL to the GET policy endpoint to retrieve policy information of a policy

Sample Response

Get the details of an insurance policy

Last updated